> For the complete documentation index, see [llms.txt](https://docs.miatel.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.miatel.com/api/sms-api/receive-sms.md).

# Receive SMS

## HTTP request

You can receive SMS messages from our platform. We generate an HTTP or HTTPS request from our side and send it to your system.\
\
To receive SMS messages, please contact us at <support@miatel.com> and provide a link that we can use to send incoming messages.

### Link example

#### HTTP

```
http://partnersmsservice.com/send.php?login={{username}}&password={{password}}&phone={{destination}}&source={{source}}&mes={{message}}
```

#### HTTPS

```
https://partnersmsservice.com/send.php?login={{username}}&password={{password}}&phone={{destination}}&source={{source}}&mes={{message}}
```

### Link parameters

The link you provided must support the following parameters:

<table><thead><tr><th width="176">Parameter Name</th><th width="111">Type</th><th>Description</th></tr></thead><tbody><tr><td>{{username}}</td><td>string</td><td>Username for authentication on your side</td></tr><tr><td>{{password}}</td><td>string</td><td>Password for authentication on your side</td></tr><tr><td>{{src}}</td><td>string</td><td>Sender ID</td></tr><tr><td>{{dst}}</td><td>string</td><td>Recipient's number</td></tr><tr><td>{{message}}</td><td>string</td><td>Body message</td></tr></tbody></table>

## SMS to email

Also, our platform's functionality allows you to receive SMS messages as email. If you would like to receive SMS messages by email, please contact us at <support@miatel.com>.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.miatel.com/api/sms-api/receive-sms.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
